Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging_PolicyValueA.cpp File Reference

`#include "Messaging_PolicyValueC.h"`
`#include "Messaging_PolicyValueA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for Messaging_PolicyValueA.cpp:

## Functions
void | operator<<= (CORBA::Any &_tao_any, const Messaging::PolicyValue &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Messaging::PolicyValue *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Messaging::PolicyValue *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Messaging::PolicyValue *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const Messaging::PolicyValueSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Messaging::PolicyValueSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Messaging::PolicyValueSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Messaging::PolicyValueSeq *&_tao_elem)

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue *& | _tao_elem
| ) |